## org.eclipse.datatools.connectivity.sqm.core.ui.explorer.virtual
Interface IVirtualNode

All Known Implementing Classes:
  VirtualNode

public interface IVirtualNode

Author:
  ljulien

Method Summary
`void` `addChildren(java.util.Collection collection)` Will add the following children to the collection
`void` `addChildren(java.lang.Object child)` Will add the following children to the collection
`java.lang.Object[]` `getChildrenArray()`
`java.lang.String` `getDisplayName()` Display Name of the Virtual Node - Will be displayed in the Model Explorer if null, getName will be used
`java.lang.String` `getGroupID()`
`java.lang.String` `getName()` Name of the Virtual Node
`java.lang.Object` `getParent()`
`ConnectionInfo` `getParentConnection()`
`boolean` `hasChildren()`
`void` `removeAllChildren()` Will remove all the children contained within this node
`void` `removeChildren(java.lang.Object child)` Will remove the provided children from the child collection

Method Detail

### getName

    public java.lang.String getName()

  Name of the Virtual Node

  Returns:

### getDisplayName

    public java.lang.String getDisplayName()

  Display Name of the Virtual Node - Will be displayed in the Model Explorer if null, getName will be used

  Returns:

### getParent

    public java.lang.Object getParent()

  Returns:
    the parent of this node in the tree

### hasChildren

    public boolean hasChildren()

  Returns:
    true if has any children?

### getChildrenArray

    public java.lang.Object[] getChildrenArray()

  Returns:
    The child array

### addChildren

    public void addChildren(java.lang.Object child)

  Will add the following children to the collection

### addChildren

    public void addChildren(java.util.Collection collection)

  Will add the following children to the collection

### removeChildren

    public void removeChildren(java.lang.Object child)

  Will remove the provided children from the child collection

  Parameters:
    `child` -

### removeAllChildren

    public void removeAllChildren()

  Will remove all the children contained within this node

### getGroupID

    public java.lang.String getGroupID()

  Returns:
    The ID that elements should carry to be included inside this virtual folder

### getParentConnection

    public ConnectionInfo getParentConnection()

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.